Bug 109892 - rpmdb-redhat contains packages not in RHEL 3 AS
rpmdb-redhat contains packages not in RHEL 3 AS
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpmdb-redhat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
Depends On:
  Show dependency treegraph
Reported: 2003-11-12 13:59 EST by Steve Bonneville
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-12 17:31:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2003-11-12 13:59:55 EST
Description of problem:

My understanding is that the rpmdb-redhat database should only contain
information on packages that are included with Red Hat Enterprise
Linux 3.  Unfortunately, it seems to include packages we did not ship.
 For example, it includes lynx-2.8.5-11.

A dump of the database with
  rpm -qa --define '_dbpath

lists 1209 packages.  RHN claims 1096 packages for AS in the channel.    

Version-Release number of selected component (if applicable):
Comment 1 Tim Powers 2003-11-12 17:31:30 EST
That's an incorrect assumption. It includes information on all
packages which are included in the unfiltered-unified tree. The reason
for this isn't technical, but more of a
turnaround-time-from-start-to-finish of the composes.

Creating an rpmdb package for only the packages we ship in each
variant would increase the compose time considerably.
Comment 2 Steve Bonneville 2003-11-12 18:12:18 EST
The main reason this came up was because a customer was trying to use
rpm -q --redhatprovides /usr/bin/lynx to find which package lynx was
now in, and was surprised when he couldn't find the lynx package which
"Red Hat provides" in RHEL AS (which implies that it isn't in any
other x86 arch version of RHEL 3 either).

Comment 3 Tim Powers 2003-11-13 07:39:39 EST
Yeah. This is something that we'll have to change for Taroon++. What
I'm considering doing is building one per variant. It will take some
work to do, but it's definitely not impossible.

As for RHEL 3, it's probably not going to change.

Note You need to log in before you can comment on or make changes to this bug.